<template>
  <div class="text-h6 q-mb-md">Estado de formacion</div>
  <div class="row q-col-gutter-xs">
    <div class="col-12">
      <InsigniaMaderaDetalle :uuid="uuid" />
    </div>
    <div class="col-12">
      <FormacionExperienciaDetalle
        tipo="FA"
        :uuid="uuid"
        titulo="Experiencias Específicas para la Función (Formación Avanzada)"
      />
    </div>
    <div class="col-12">
      <FormacionExperienciaDetalle
        tipo="CO"
        :uuid="uuid"
        titulo="Mis Experiencias Realizadas"
      />
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, PropType } from 'vue';
import FormacionExperienciaDetalle from 'src/components/Formacion/ExperienciaDetalle.vue';
import InsigniaMaderaDetalle from 'src/components/Formacion/InsigniaMaderaDetalle.vue';

export default defineComponent({
  name: 'FormacionPartial',
  components: { FormacionExperienciaDetalle, InsigniaMaderaDetalle },
  props: {
    uuid: {
      type: String as PropType<string>,
      required: true,
    },
  },

  setup() {
    return {};
  },
});
</script>
